Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Suche Hilfe bei einer Makroerstellung

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Suche Hilfe bei einer Makroerstellung (1188 mal gelesen)
Koller68
Mitglied
Maschinenbautechniker Konstrukteur


Sehen Sie sich das Profil von Koller68 an!   Senden Sie eine Private Message an Koller68  Schreiben Sie einen Gästebucheintrag für Koller68

Beiträge: 105
Registriert: 22.08.2011

erstellt am: 01. Nov. 2013 19:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,
bitte entschuldigt meinen x-ten Tread über Makro, aber ich habe schon sämtliche Suchfunktionen, auch außerhalb des CAD.DE bemüht und leider feststellen müssen, das ich einfach nicht weiter, bzw. zu gar keinem guten Start komme.
Ich hatte mit Makros noch nie was am Hut und meinte jetzt doch mal mich mit dem Thema zu beschaffen
Ich wollte einfach nur mal über SWX ein kleines Makro erzeugen, mit dem ich erst die Isometrische Ansicht bekomme und dann gespeichert wird. Was soll ich sagen, es funktioniert nicht so wie ich will.
Ich habe sämtliche (2) Befehle als Tastenkombination verwendet, aber es geht einfach nicht.
Wer von euch kann mir da mal ein wenig auf die Sprünge helfen?

------------------
Gruß Koller68

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

DerRalle
Mitglied
Konstrukteur


Sehen Sie sich das Profil von DerRalle an!   Senden Sie eine Private Message an DerRalle  Schreiben Sie einen Gästebucheintrag für DerRalle

Beiträge: 13
Registriert: 12.03.2013

erstellt am: 01. Nov. 2013 23:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Koller68 10 Unities + Antwort hilfreich

Hallo,

dein Beitrag ist noch etwas unklar:

Was möchtes du speichern? --> Part,ASM oder Zeichnung (Iso Ansicht?)
Als was möchtest du speichern? --> Bild(BMP, JPEG), PDF

Und vor allen Dingen: wohin und unter welchen Dateinamen?

Eine gute Problembeschreibung ist der Anfang jeder Lösung.

Und da ich neugierig bin: Warum möchtest du diesen Aufwand treiben? 

Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Koller68
Mitglied
Maschinenbautechniker Konstrukteur


Sehen Sie sich das Profil von Koller68 an!   Senden Sie eine Private Message an Koller68  Schreiben Sie einen Gästebucheintrag für Koller68

Beiträge: 105
Registriert: 22.08.2011

SW 2016 SP 2.0
WIN 7 Prof 64bit
Intel i7 4770K 4,5 Ghz
32 Gb RAM
nVidia Quadro 4000
240 Gb Samsung 840 Pro SSD
120 Gb OCZ Vertex III SSD

erstellt am: 01. Nov. 2013 23:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Ralph,
erstmal danke für deinen Beitrag.
Ich möchte wenn ich ein Teil erstellt oder eine Baugruppe erzeugt habe, möchte ich einfach nur einen Button haben, wenn ich den drücke automatisch auf Isometrische Ansicht ausgerichtet und gespeichert wird. Natürlich werde ich bei einem noch nicht gespeicherten Teil oder Baugruppe dann noch nach der gewünschten Bezeichnung gefragt.
Ich wollte halt mal klein und einfach anfangen, da happert es leider aber auch schon bei mir.

------------------
Gruß Koller68

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

DerRalle
Mitglied
Konstrukteur


Sehen Sie sich das Profil von DerRalle an!   Senden Sie eine Private Message an DerRalle  Schreiben Sie einen Gästebucheintrag für DerRalle

Beiträge: 13
Registriert: 12.03.2013

erstellt am: 02. Nov. 2013 00:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Koller68 10 Unities + Antwort hilfreich

Dir geht es also um die "Makrolösung" an sich und nicht darum das "Problem" irgendwie zu lösen.

OK.

Ansatz:

EXTRAS -> Makro aufzeichnen

Iso-Ansicht und dann speichern dann Makroaufzeichnung stoppen.

Dies ergibt bei mir folgendes Makro:

Code:

Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = _
Application.SldWorks

Set Part = swApp.ActiveDoc

Part.ViewZoomtofit2
Part.ShowNamedView2 "*Isometrisch", 7

End Sub


kommentiert:

Code:

Dim swApp As Object 'allgemeines Bindungszeug

Dim Part As Object 'allgemeines Bindungszeug
Dim boolstatus As Boolean 'allgemeines Bindungszeug
Dim longstatus As Long, longwarnings As Long 'allgemeines Bindungszeug


Sub main()

Set swApp = _  'allgemeines Bindungszeug
Application.SldWorks 'allgemeines Bindungszeug

Set Part = swApp.ActiveDoc 'Objekt Part wird mit dem aktiven Dokument geladen

Part.ViewZoomtofit2 'In Ansichtsfenster zoomen (F-Taste)
Part.ShowNamedView2 "*Isometrisch", 7 'Isometrische Ansicht wählen

'Kein speichern?

End Sub


Wenn ich dieses Makro ausführe wird die Isometrische Ansicht zwar gewählt aber
der Zoom scheint nicht zu passen. Das Teil ist zu klein.

Lösungsversuch: Erst ausrichten dann Zoomen.

Code:

Part.ShowNamedView2 "*Isometrisch", 7 'Isometrische Ansicht wählen
Part.ViewZoomtofit2 'In Ansichtsfenster zoomen (F-Taste)

Das geht auch ohne Probleme.

Speichern

Nach kurzer suche auf Solidworksapihilfe muss folgende Methode eingefügt werden: "Save3 Method (IModelDoc2)"

Probier es mal 

Ralph


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Koller68
Mitglied
Maschinenbautechniker Konstrukteur


Sehen Sie sich das Profil von Koller68 an!   Senden Sie eine Private Message an Koller68  Schreiben Sie einen Gästebucheintrag für Koller68

Beiträge: 105
Registriert: 22.08.2011

SW 2016 SP 2.0
WIN 7 Prof 64bit
Intel i7 4770K 4,5 Ghz
32 Gb RAM
nVidia Quadro 4000
240 Gb Samsung 840 Pro SSD
120 Gb OCZ Vertex III SSD

erstellt am: 02. Nov. 2013 08:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von DerRalle:


..................Ansatz:

EXTRAS -> Makro aufzeichnen

Iso-Ansicht und dann speichern dann Makroaufzeichnung stoppen...........



Genau so hatte ich es schon versucht und bin auf das gleiche Ergebnis wie du unten schreibst auch gekommen.
Zitat:
..........
Wenn ich dieses Makro ausführe wird die Isometrische Ansicht zwar gewählt aber
der Zoom scheint nicht zu passen. Das Teil ist zu klein.

Lösungsversuch: Erst ausrichten dann Zoomen.

Code:

Part.ShowNamedView2 "*Isometrisch", 7 'Isometrische Ansicht wählen
Part.ViewZoomtofit2 'In Ansichtsfenster zoomen (F-Taste)

Das geht auch ohne Probleme.

Speichern

Nach kurzer suche auf Solidworksapihilfe muss folgende Methode eingefügt werden: "Save3 Method (IModelDoc2)"

Probier es mal  



Sorry Ralph für meine Unwissenheit, aber was genau muß ich bei deinem Lösungsversuch machen?

------------------
Gruß Koller68

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Koller68
Mitglied
Maschinenbautechniker Konstrukteur


Sehen Sie sich das Profil von Koller68 an!   Senden Sie eine Private Message an Koller68  Schreiben Sie einen Gästebucheintrag für Koller68

Beiträge: 105
Registriert: 22.08.2011

erstellt am: 02. Nov. 2013 12:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Ralph,
ich habe es jetzt doch so hinbekommen wie ich es wollte.
Danke für deine Hilfe.

------------------
Gruß Koller68

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

DerRalle
Mitglied
Konstrukteur


Sehen Sie sich das Profil von DerRalle an!   Senden Sie eine Private Message an DerRalle  Schreiben Sie einen Gästebucheintrag für DerRalle

Beiträge: 13
Registriert: 12.03.2013

erstellt am: 05. Nov. 2013 22:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Koller68 10 Unities + Antwort hilfreich

nur aus Neugier:

Wie sieht deine Lösung aus?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Koller68
Mitglied
Maschinenbautechniker Konstrukteur


Sehen Sie sich das Profil von Koller68 an!   Senden Sie eine Private Message an Koller68  Schreiben Sie einen Gästebucheintrag für Koller68

Beiträge: 105
Registriert: 22.08.2011

SW 2016 SP 2.0
WIN 7 Prof 64bit
Intel i7 4770K 4,5 Ghz
32 Gb RAM
nVidia Quadro 4000
240 Gb Samsung 840 Pro SSD
120 Gb OCZ Vertex III SSD

erstellt am: 06. Nov. 2013 05:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Morgen Ralph,
so sieht bei mir das Makro für Isometrisch ausrichten und speichern aus.

Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = _
Application.SldWorks

Set Part = swApp.ActiveDoc
Part.ShowNamedView2 "*Isometrisch", 7
Part.ViewZoomtofit2
Part.Save2 False
End Sub

------------------
Gruß Koller68

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz